/**
 * Nyarudinoのスケッチシステムを使用するプロジェクトのテンプレートです。
 */
//#define SKETCH_STACK_SIZE 80 //スケッチのスタックサイズを変えるときは、ここで設定。
#include "boot/sketch.h"
#include "NyLPC_stdlib.h"
#include "LPC17xx.h"
void setup(void)
{
	//Setup and initialization before run scheduler
	//通常は、各種サービスの起動設定をします。
}
void loop(void)
{
	int i;
	LPC_PINCON->PINSEL0=0;
	LPC_PINCON->PINSEL1=0;
	LPC_PINCON->PINSEL2=0;
	LPC_PINCON->PINSEL3=0;
	LPC_PINCON->PINMODE0=0xffffffff;
	LPC_PINCON->PINMODE1=0xffffffff;
	LPC_PINCON->PINMODE2=0xffffffff;
	LPC_PINCON->PINMODE3=0xffffffff;
	LPC_PINCON->PINMODE_OD0=0x0;
	LPC_PINCON->PINMODE_OD1=0x0;
	LPC_GPIO0->FIODIR=0xffffffff;
	LPC_GPIO0->FIOMASK=0;
	LPC_GPIO1->FIODIR=0xffffffff;
	LPC_GPIO1->FIOMASK=0;

	//Implementation
	//ここにメインタスクを書きます。
	for(;;){
		LPC_GPIO0->FIOPIN=0xffffffff;
		LPC_GPIO1->FIOPIN=0xffffffff;
		NyLPC_cThread_sleep(100);
		LPC_GPIO0->FIOPIN=0x00;
		LPC_GPIO1->FIOPIN=0x00;
		NyLPC_cThread_sleep(100);

//		LPC_PINCON_TypeDef *PINSEL0=0;
	}
}
